Skip to content

List of Media Campaigns ​

http
GET /adv/v1/adverts

Base URL: https://advert-media-api.wildberries.ru · Module: promotion · Section: Media · Specification doc ↗

The method allows to get the list of media campaigns of the seller

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 s10 requests100 ms10 requests
Service1 s10 requests100 ms10 requests
Base with secret1 s10 requests100 ms10 requests
Base1 h1 request1 h1 request

Parameters ​

NameInTypeReq.Description
statusquerystringnoMedia campaign status: - 1 — template - 2 — moderation - 3 — rejected (with the possibility to resubmit for moderation) - 4 — ready for launch - 5 — scheduled - 6 — running - 7 — completed - 8 — declined - 9 — paused by seller - 10 — paused due to daily limit - 11 — paused
typequeryinteger<int64>noMedia campaign type: - 1 — daily basis - 2 — views basis
limitqueryinteger<int64>noNumber of campaigns in the response
offsetqueryinteger<int64>noOffset relative to the first media campaign
orderquerystringnoThe order in which the response is displayed: - create — by time of media campaign creation - id — by ID of media campaign creation
directionquerystringnoSorting order: - desc — upward - asc — smaller to larger

Responses ​

CodeDescriptionSchema
200SuccessGetV1AdvertsResponse200
204Media campaigns not found—
401Unauthorizedobject
403Access deniedobject
429Too many requestsobject

Structure 200 — object[]:

  • advertId integer<int64> — Media campaign ID
  • name string — Media campaign name
  • brand string — Brand name
  • type integer<int64> — Media campaign type: - 1 — daily basis - 2 — views basis
  • status integer<int64> — Media campaign status: - 1 — template - 2 — moderation - 3 — rejected (with the possibility to resubmit for moderation) - 4 — ready for launch - 5 — scheduled - 6 — running - 7 — completed - 8 — declined - 9 — paused by seller - 10 — paused due to daily limit - 11 — paused
  • createTime string — Time of media campaign creation
  • endTime string — Time of completion of the media campaign

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.promotion import Configuration, ApiClient
from wb_api_client.promotion.api import PromotionApi

cfg = Configuration(access_token="<your WB JWT>")
api = PromotionApi(ApiClient(cfg))

result = api.get_v1_adverts(status=..., type=..., limit=..., offset=..., order=..., direction=...)
print(result)
ts
import {
  Configuration,
  PromotionApi,
} from "@valeryverkhoturov/wb-api-client/promotion";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new PromotionApi(cfg);

const { data } = await api.getV1Adverts(status, type, limit, offset, order, direction);
console.log(data);
go
import (
	"context"
	"fmt"

	wbpromotion "github.com/ValeryVerkhoturov/wb-api-client-go/promotion"
)

cfg := wbpromotion.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbpromotion.NewAPIClient(cfg)

result, _, err := client.PromotionAPI.GetV1Adverts(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.promotion.ApiClient;
import io.github.valeryverkhoturov.wbapi.promotion.SecretString;
import io.github.valeryverkhoturov.wbapi.promotion.api.PromotionApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
PromotionApi api = new PromotionApi(client);

System.out.println(api.getV1Adverts(status, type, limit, offset, order, direction));
php
use ValeryVerkhoturov\WbApiClient\Promotion\Configuration;
use ValeryVerkhoturov\WbApiClient\Promotion\SecretString;
use ValeryVerkhoturov\WbApiClient\Promotion\Api\PromotionApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new PromotionApi(new Client(), $config);

print_r($api->getV1Adverts());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый PromotionApi(Настройки);

Сообщить(Клиент.GetV1Adverts().Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Promotion.Api;
using ValeryVerkhoturov.WbApiClient.Promotion.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new PromotionApi(config);

Console.WriteLine(api.GetV1Adverts());
rust
use wb_api_client::promotion::apis::{configuration::Configuration, promotion_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = promotion_api::get_v1_adverts(&cfg, status, r#type, limit, offset, order, direction).await;
    println!("{:#?}", result);
}